.TH INFINOTED "1" "August 2014" "infinoted 0.6" "User Commands"
.SH NAME
infinoted \- dedicated server for the infinote protocol (e.g. Gobby)
.SH SYNOPSIS
.B infinoted\-0.6
.RI [ options ]
.SH DESCRIPTION
.B infinoted
is a dedicated server which allows clients to edit plain text documents and
source files collaboratively over a network. Changes to the documents are
synchronized instantly to the other clients.
.PP
This server supports the infinote protocol as implemented by libinfinity.
Example clients include Gobby 0.5.x, Kobby and a special plugin for gedit.
It is
.B not
compatible to the older libobby protocol.
.SH OPTIONS
.SS "Help Options:"
.TP
\fB\-h\fR, \fB\-\-help\fR
Show help options
.SS "Application Options:"
.TP
\fB\-c\fR, \fB\-\-config\-file\fR=\fICONFIG\-FILE\fR
Load the given configuration file instead of looking at the standard locations.
.TP
\fB\-k\fR, \fB\-\-key\-file\fR=\fIKEY\-FILE\fR
The server's private key
.TP
\fB\-c\fR, \fB\-\-certificate\-file\fR=\fICERTIFICATE\-FILE\fR
The server's certificate
.TP
\fB\-\-certificate\-chain\fR
The certificate chain to the root certificate, if not included in the file given in \-\-certificate\-file.
.TP
\fB\-\-create\-key\fR
Creates a new random private key
.TP
\fB\-\-create\-certificate\fR
Creates a new self\-signed certificate using the given key
.TP
\fB\-p\fR, \fB\-\-port\-number\fR=\fIPORT\fR
The port number to listen on
.TP
\fB\-\-security\-policy\fR=\fIno\-tls\fR|allow\-tls|require\-tls
How to decide whether to use TLS
.TP
\fB\-r\fR, \fB\-\-root\-directory\fR=\fIDIRECTORY\fR
A directory to save the document tree into in infinoted\-xml format.
This is the location where the tree is kept persistently so that it is
available again after server restart. Usually, documents are saved in
this tree 60 seconds after the last user left the session. In addition
to this, when the autosave plugin is enabled, it is possible to save
sessions into the tree periodically. The default directory is
~/.infinote.
.TP
\fB\-\-plugins\fR=\fIPLUGIN\fR
Additional plugin to load. Repeat the option on the command-line to specify multiple plugins and semi-colons in the configuration file. Plugin options can be configured in the configuration file (one section for each plugin), or with the \-\-plugin\-parameter option.
.TP
\fB\-\-plugin-parameter\fR=\fIPLUGIN:KEY:VALUE\fR
Sets the option KEY for plugin PLUGIN to the given VALUE. Normally, plugin
options are specified in the configuration file, but this command line
option allows one to set or override plugin options on the command line.
.TP
\fB\-P\fR, \fB\-\-password\fR=\fIPASSWORD\fR
Require given password on connections
.TP
\fB\-\-pam-service\fR=\fISERVICE\fR
Authenticate clients against given pam service on connection
.TP
\fB\-\-pam-allow-user\fR=\fIUSERS\fR
Users allowed to connect after pam authentication. Separate entries with semicolons.
.TP
\fB\-\-pam-allow-group\fR=\fIGROUPS\fR
Group allowed to connect after pam authentication. Separate entries with semicolons.
.TP
\fB\-d\fR, \fB\-\-daemonize\fR
Daemonize the server
.TP
\fB\-D\fR, \fB\-\-kill\-daemon\fR
Kill a running daemon
.TP
\fB\-v\fR, \fB\-\-version\fR
Display version information and exit
.SH AUTHOR
.B infinoted
and
.B libinfinity
were written by Armin Burgmeier <armin@arbur.net>
